cascading.flow.planner.process

## Interface ProcessModel

All Known Subinterfaces:
  FlowNode, FlowStep<Config>

All Known Implementing Classes:
  BaseFlowNode, BaseFlowStep, Hadoop2TezFlowStep, HadoopFlowStep, LocalFlowStep, MapReduceFlowStep, ProcessFlowStep

    public interface ProcessModel

### Method Summary

Methods
`void` `addProcessAnnotation(java.lang.Enum annotation)`
`void` `addProcessAnnotation(java.lang.String key, java.lang.String value)`
`ElementGraph` `getElementGraph()`
`java.util.Collection<Group>` `getGroups()`
`java.lang.String` `getID()`
`java.lang.String` `getName()`
`int` `getOrdinal()`
`java.util.Map<java.lang.String,java.lang.String>` `getProcessAnnotations()` Method getProcessAnnotations returns an immutable Map of platform specific annotations or meta-data that describe the current model type.
`java.util.Set<FlowElement>` `getSinkElements()`
`java.util.Set<Tap>` `getSinkTaps()`
`java.util.Set<FlowElement>` `getSourceElements()`
`java.util.Set<Tap>` `getSourceTaps()`
`int` `getSubmitPriority()`
`java.util.Map<java.lang.String,Tap>` `getTrapMap()`

### Method Detail

#### getID

    java.lang.String getID()

#### getOrdinal

    int getOrdinal()

#### getName

    java.lang.String getName()

#### getProcessAnnotations

    java.util.Map<java.lang.String,java.lang.String> getProcessAnnotations()

Method getProcessAnnotations returns an immutable Map of platform specific annotations or meta-data that describe the current model type.

Use `addProcessAnnotation(Enum)` or `addProcessAnnotation(String, String)` to insert annotations or meta-data.

Returns:
  an immutable Map

#### addProcessAnnotation

    void addProcessAnnotation(java.lang.Enum annotation)

#### addProcessAnnotation

    void addProcessAnnotation(java.lang.String key,
                            java.lang.String value)

#### getGroups

    java.util.Collection<Group> getGroups()

#### getSourceTaps

    java.util.Set<Tap> getSourceTaps()

#### getSinkTaps

    java.util.Set<Tap> getSinkTaps()

#### getSubmitPriority

    int getSubmitPriority()

#### getSinkElements

    java.util.Set<FlowElement> getSinkElements()

#### getSourceElements

    java.util.Set<FlowElement> getSourceElements()

#### getTrapMap

    java.util.Map<java.lang.String,Tap> getTrapMap()

#### getElementGraph

    ElementGraph getElementGraph()